import request from '@/utils/request'

// 查询猜你所想列表
export function listMindReader(query) {
  return request({
    url: '/system/mindReader/list',
    method: 'get',
    params: query
  })
}

// 查询猜你所想详细
export function getMindReader(id) {
  return request({
    url: '/system/mindReader/' + id,
    method: 'get'
  })
}

// 新增猜你所想
export function addMindReader(data) {
  return request({
    url: '/system/mindReader',
    method: 'post',
    data: data
  })
}

// 修改猜你所想
export function updateMindReader(data) {
  return request({
    url: '/system/mindReader',
    method: 'put',
    data: data
  })
}

// 删除猜你所想
export function delMindReader(id) {
  return request({
    url: '/system/mindReader/' + id,
    method: 'delete'
  })
}
